Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.ide
Class VAJLoadProjects

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.optional.ide.VAJTask
                        |
                        +--org.apache.tools.ant.taskdefs.optional.ide.VAJLoad
                              |
                              +--org.apache.tools.ant.taskdefs.optional.ide.VAJLoadProjects

public class VAJLoadProjects
extends VAJLoad

This is only there for backward compatibility with the default task list and will be removed soon

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.optional.ide.VAJTask
`haltOnError, remoteServer`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`VAJLoadProjects()`

Methods inherited from class org.apache.tools.ant.taskdefs.optional.ide.VAJLoad
`createVAJProject, execute`

Methods inherited from class org.apache.tools.ant.taskdefs.optional.ide.VAJTask
`getUtil, setHaltonerror, setRemote`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VAJLoadProjects

    public VAJLoadProjects()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.